// ITDB02_Graph_Rotate_Bitmap (C)2011 Henning Karlsen
// web: http://www.henningkarlsen.com/electronics
//
// This program is a demo of the drawBitmap()-function.
//
// This program requires the CK_ITDB02_Graph library.
//

#include "ITDB02_Graph_ChipKIT.h"

// Uncomment the next line for the chipKit Uno32
//ITDB02 myGLCD(34,35,36,37);   // Remember to add the parameter for your display if you are not using an ITDB02-2.4!

// Uncomment the next line for the chipKit Max32
ITDB02 myGLCD(19,18,17,16);   // Remember to add the parameter for your display if you are not using an ITDB02-2.4!

extern unsigned short biohazard[0x1000];

void setup()
{
  myGLCD.InitLCD(LANDSCAPE);
  myGLCD.fillScr(255, 255, 255);
  myGLCD.setColor(0, 0, 0);
}

void loop()
{
    for (int i=0; i<360; i+=5)
    {
      myGLCD.drawBitmap (100, 100, 64, 64, biohazard, i, 32, 32);
    }
}

